org.eclipse.rdf4j.query.algebra.evaluation.impl

## Class ConstantOptimizer

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.impl.ConstantOptimizer

- All Implemented Interfaces:
    QueryOptimizer

      public class ConstantOptimizer
      extends Object
      implements QueryOptimizer

  A query optimizer that optimizes constant value expressions.
  Author:
    James Leigh, Arjohn Kampman

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `ConstantOptimizer.ConstantVisitor`
    `protected class` | `ConstantOptimizer.VarNameCollector`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.slf4j.Logger` | `logger`
    `protected EvaluationStrategy` | `strategy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantOptimizer(EvaluationStrategy strategy)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `optimize(TupleExpr tupleExpr, Dataset dataset, BindingSet bindings)` Applies generally applicable optimizations to the supplied query: variable assignments are inlined.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.slf4j.Logger logger

    - #### strategy

          protected final EvaluationStrategy strategy

  - ### Constructor Detail

    - #### ConstantOptimizer

          public ConstantOptimizer(EvaluationStrategy strategy)

  - ### Method Detail

    - #### optimize

          public void optimize(TupleExpr tupleExpr,
                               Dataset dataset,
                               BindingSet bindings)

      Applies generally applicable optimizations to the supplied query: variable assignments are inlined.
      Specified by:
        `optimize` in interface `QueryOptimizer`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.